/*
 * It is advised not to edit the smartadmin_production.css
 * as this will override any changes you make in the 
 * later versions of this theme. 
 * 
 * We advise that you use use this CSS to override 
 * SmartAdmin styles. 
 * 
 * Rename the stylesheet to whatever your liking so it will stay
 * unique to you with each update of SmartAdmin.
 */

.fr {
    float: right;
}

.fl {
    float: left;
}

.clear {
    clear: both;
}

.field-validation-error {
    color: #dc0606;
}

.required:before {
    color: #e32;
    content: '* ';
    display: inline;
    font-size: 13px;
}

thead tr th {
    /*background-color: #BFC0C0;*/
}

    thead tr th span.smart-form label.toggle {
        color: #000;
        font-size: 12px;
        font-weight: bold;
    }

table.user-rights {
    margin-bottom: 0;
}

.table-column-header {
    background: url(data:image/png;base64);
}

.nPadding {
    padding: 0;
}

.sPadding {
    padding: 5px;
}

.mpadding {
    padding: 10px;
}

.lpadding {
    padding: 15px;
}

.slpadding {
    padding: 20px;
}

.tableIcon {
    margin-right: 4px;
    display: none;
}

th {
    white-space: nowrap;
}

.titleSetting {
    height: 52px;
    background-color: white;
    margin-bottom: 20px;
    padding: 0px 0 0 5px;
    border: 1px solid #ccc;
}

    .titleSetting .subjectSett {
        font-size: 20px;
        font-weight: 700;
    }

.formSpliter {
    border-bottom: 2px solid #fff;
    height: 2px;
    clear: both;
    margin-bottom: 30px;
}

.gridSpliter {
    border-bottom: 2px solid #ddd;
    height: 2px;
    clear: both;
    margin: 15px;
}

.smart-form label .input-validation-error, .input-validation-error {
    border-color: #F26868;
}

footer {
    display: block;
    padding: 20px;
    /*border-top: 1px solid rgba(0,0,0,.1);*/
    background: rgba(248,248,248,.9);
}

.widget-body fieldset {
    padding: 10px 20px; /* filedset top padding changed 40 to 10 px */
}

.smart-form .form-group {
    margin-bottom: 6px; /* space b/w one control to another  */
    margin-left: 0;
}

a.userRight-panel-row {
    color: #606060;
    font-weight: normal;
}

a.collapsed:hover {
    background-color: #eee;
    color: #000;
}

    a.collapsed:hover span {
        color: #000;
    }

a.userRight-panel-row span {
    vertical-align: middle;
    margin-left: 5px;
    color: white;
}

a.collapsed span {
    vertical-align: middle;
    margin-left: 5px;
    color: #606060;
}

.collapsed {
    background-color: #fff;
}

.ur-item {
    width: 17%;
    float: left;
}

@media (min-width:600px) {
    .ur-Row {
        /*border: 1px solid #eee;*/
        list-style-type: none;
    }
}

@media (max-width:700px) {
    .asset-content {
        overflow-x: scroll;
    }

    #asset-category {
        width: 700px;
    }
}



.ur-Row div.col-2 {
    border: 1px solid #ddd;
    padding: 7px;
    height: inherit;
    /*position: absolute;
    top: 0; bottom: 0;*/
}

.htcolumn {
    font-weight: bold;
    font-size: 13px;
}

.smart-form .toggle input.ncheckBox {
    position: relative;
}

.nsl-disabled {
    display: block;
    font-size: 14px;
    margin: 2px 0;
    padding-bottom: 2px;
    color: #333;
    text-decoration: none;
    /*border: 1px solid #cfcfcf;*/
    background: #fbfbfb;
    font-weight: bold;
    padding-left: 30px;
}

/*.nsl-disabled:hover, .nsl-disabled:hover + .dd-list .nsl-disabled, .nsl-disabled:hover + .dd-list .dd3-content {
        border: 1px solid #ebc873;
    }*/

span.itemContext {
    cursor: pointer;
    color: #000;
    font-weight: bold;
    font-size: 12px;
}

.dd3-content:hover span, .dd3-content:hover a, .dd3-content:hover + .dd-list .dd3-content span, .dd3-content:hover + .dd-list .dd3-content span.itemContext {
    color: #333;
}

.dd3-content a {
    color: #fff;
}

.itemAssIcon {
    display: none;
    cursor: pointer;
    margin-left: 15px;
}

/*.itemAssIcon :hover {
    border: 1px solid #BFC0C0;
        background-color: #ECEEF5;
}*/

.no-hover {
    border: 1px solid #fff;
}

    .no-hover:hover .itemAssIcon {
        display: initial;
    }

.dd3-content {
    border: 1px solid #fff;
}

    .dd3-content:hover, .allowSelect:hover, .no-hover:hover {
        border: 1px solid #BFC0C0;
        background-color: #ECEEF5;
    }

.smart-form .clearfix .toggle i {
    right: inherit;
}

.smart-form .element-checkbox .toggle i {
    top: 0;
}

.smart-form .element-checkbox-row .toggle i {
    top: 0;
}


.form-group button:first-child {
    margin-left: 15px;
}

.form-group button {
    margin-left: 5px;
}

footer .form-group {
    margin-bottom: 0;
}
/*Link button*/
.link-button {
    /*float:initial;*/
    background: none!important;
    border: none;
    padding: 0!important;
    /*border is optional*/
    font-family: "Times New Roman", Times, serif; /*input has OS specific font-family*/
    color: #1E90FF;
    font-size: medium;
    text-decoration: underline;
    cursor: pointer;
}

#validation-form .smart-form .row {
    margin: 0;
}

footer {
    background-color: #E5E5E5;
}

/*.select2-container*/
.multipleSelect .noSearch {
    border: none;
    display: inline-table;
}

.multipleSelect2 {
    text-indent:8px;
    display: inline-table;
}

ul.nav li span {
    margin-left: 5px;
}

.select2-hidden-accessible {
    display: none;
}

.readOnly {
    opacity: .5;
    pointer-events: none;
}

.smart-form .input input.form-label {
    border: none;
    background-color: inherit;
    padding: 0;
    height: 20px;
}

#fileBox div section {
    margin: 0;
}

.form-group label.control-label {
    font-weight: normal;
    /*padding: 8px 10px;*/
    text-align: left;
}

.smart-form .input input[disabled], .smart-form .select select[disabled], .smart-form .textarea textarea[disabled] {
    cursor: not-allowed;
    background-color: #eee;
    opacity: .8; /* changed text color to black for readonly and disabled  .input input[readonly], */
    font-weight: 500; /* changed text color to black for readonly and disabled */
    color: black; /* changed text color to black for readonly and disabled */
}

/* changed text color to black for readonly mode */
.smart-form input[readonly="readonly"] {
    color: black;
    background-color: #eee;
    font-weight: 500;
    opacity: .8;
}

a.userdropdown {
    margin-top: 5px;
}

@media (max-width:980px) {
    a.userdropdown {
        margin-top: 0;
    }
}

.publicFontSize {
    font-size: 12px;
}

.form-group div label {
    font-weight: bold;
    font-size: 12px;
}

.form-group label {
    font-weight: bold;
    font-size: 12px;
}

.smart-form label.input input, .smart-form label.select select, .smart-form label.textarea textarea, .select2-choices, .multipleSelect, .noSearch, .btn-group-sm > button.btn, button.btn-sm, .fc-border-separate thead tr th {
    font-size: 12px;
}

.nav-list li ul li a, nav ul li a span {
    font-size: 12px;
}

.table thead tr th, tbody tr td {
    font-size: 12px;
}

.whiteBackColor {
    background-color: #fff;
}

.transparentBg {
    background-color: transparent !important;
}

input:-webkit-autofill {
    -webkit-box-shadow: 0 0 0 500px white inset;
}

body ul.ColVis_collection {
    width: inherit;
}

.dataTables_length {
    text-align: right;
    float: right;
}

div.hidden-xs {
    text-align: right;
}

.dt-toolbar-footer div.col-sm-6 {
    text-align: left;
}

div.dt-toolbar div.dataTables_processing {
    position: absolute;
    left: 45%;
    top: 8px;
    padding: 5px 60px;
    background-color: rgb(221, 221, 221);
}

.headerStyle tr th {
    /*background-color:#E2DBDB*/
}

    .headerStyle tr th label {
        font-size: 12px;
        font-weight: bold;
    }

#boxToolViewer {
    border-top: 1px solid #eee;
    padding-top: 5px;
    margin-top: 3px;
}

    #boxToolViewer span.toolLabel {
        font-weight: bold;
    }

    #boxToolViewer span.toolValLabel {
        margin-right: 30px;
    }

.ui-bg-color-red .ui-state-default {
    background: #a90329!important;
    border-color: #850523 !important;
    color: white !important;
}

.ui-bg-color-blueLight .ui-state-default {
    background: #92a2a8!important;
    border-color: #1485b0 !important;
    color: white !important;
}

.ui-bg-color-greenLight .ui-state-default {
    background: #71843f!important;
    border-color: #506b0a !important;
    color: white !important;
}

.ui-bg-color-orange .ui-state-default {
    background: #c79121!important;
    border-color: #ad790d !important;
    color: white !important;
}

.ui-bg-color-blue .ui-state-default {
    background: #57889c!important;
    border-color: #0f668a !important;
    color: white !important;
}

.ui-bg-color-darken .ui-state-default {
    background: #404040!important;
    border-color: #000000 !important;
    color: white !important;
}

.radiobuttonrow {
    padding-left: 100px;
}

.panel-item {
    padding: 8px;
    margin-bottom: 2px;
    font-size: 13px;
    font-weight: normal;
    border: 1px solid #fff;
    margin: 5px;
    border: 1px solid #eee;
}

    .panel-item:focus {
        background-color: #eee;
        opacity: .06;
    }

    .panel-item:hover {
        border: 1px solid #ddd;
        cursor: pointer;
        background-color: #d8d8fa;
        color: #fff;
    }

.panel-item-desc {
    font-size: 12px;
    font-style: italic;
    opacity: 0.6;
}

div.panel-collapse::before {
    background-color: #1e31cb;
    color: white;
}

.panel-collapse .panel-body {
    padding: 0px;
}

a[data-toggle="collapse"][class=""] {
    background-color: #4289e0;
    color: #fff;
}


.linkToGrid:hover {
    cursor: pointer;
    color: #dc0606;
}

.gridSubHeader {
    height: 30px;
    background-color: #8e8787;
    color: #fff;
    padding: 10px 5px 0px 5px;
    text-align: center;
    font-size: 12px;
    font-weight: bold;
}

#imagePreview {
    padding: 15px;
    width: 100%; /*border-radius: 10%;*/
    border: 1px solid #CBCBCB;
}

.jarvismetro-tile .iconbox span.numberNotify {
    color: white;
    background-color: #d91212;
    top: 5px;
    right: 10px;
    position: absolute;
    border-radius: 50%;
    width: 18px;
    height: 18px;
    padding-top: 2px;
    font-size: 10px;
    font-weight: bold;
    text-align: center;
}

/*tr.active td {
    border:1px solid #0091d9;
    background-color:#bbb
}*/

/*table tr.row_active td {
    border-top:1px solid #0091d9;
    border-bottom:1px solid #0091d9
}

table tr.row_active td:first-child {
    border-left:1px solid #0091d9;
}

table tr.row_active td:last-child{
    border-right:1px solid #0091d9;
}*/

/*.dd-item .dd3-handle:before {
    content:''
}*/

/*nav > ul > li > ul > li.active > a, nav > ul > li > ul > li > ul > li.active > a {
    background-color:#eee;
}*/

/*
 * INDEX
 * 
 * - HTML
 * - BODY
 * - CUSTOM STYLES
 */
/*Password Hiding Css*/
.pwdwidgetdiv {
    width: 375px;
}

.pwdfield {
    width: 375px;
}

.pwdopsdiv {
    display: block;
    float: left;
    margin-right: 6px;
}

    .pwdopsdiv a {
        font-family: Arial, Helvetica, sans-serif;
        font-size: 10px;
    }

.pwdstrengthbar {
    float: right;
    background: #cccccc;
    height: 4px;
    margin: 0;
}

.pwdstrength {
    float: right;
    height: 20px;
    width: 70px;
    margin-top: 3px;
}

.pwdstrengthstr {
    float: right;
    clear: both;
    height: 14px;
    margin-top: 0px;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 10px;
}

.datepicMonthYear .ui-datepicker-calendar {
    display: none;
}


.contactPanel {
    background: none;
    background-color: #017EC6;
    color: white;
    height: 180px;
}

    .contactPanel div {
        text-align: left;
    }

        .contactPanel div h2 {
            padding-left: 10px;
            color: #000;
            font-size: 19px;
            line-height: 21px;
            font-weight: normal;
        }

        .contactPanel div div h5 {
            font-size: 12px;
            line-height: 19px;
            font-family: arial, sans-serif;
            color: #fff;
            margin: 1px;
        }

.newNewsIcon {
    background-color: red;
    padding: 3px 5px;
    color: #fff;
    font-weight: bold;
    font-style: italic;
    font-size: 16px;
    border-radius: 6px;
    margin-right: 6px;
}

fieldset.scheduler-border {
    border: 1px groove #ddd;
    padding: 0 1.4em 1.4em 1.4em;
    margin: 0 0 1.5em 0;
    -webkit-box-shadow: 0px 0px 0px 0px #000;
    box-shadow: 0px 0px 0px 0px #000;
}

legend.scheduler-border {
    width: inherit; /* Or auto */
    padding: 0 10px; /* To give a bit of padding on the left and right */
    border-bottom: none;
    margin-bottom: 0;
}

#extr-page {
    /*background-image: url("/Content/Login/Loginbackground.png");*/
}

    #extr-page #main {
        background-image: url("/Content/Login/Loginbackground.png");
        background-size: cover;
        background-repeat: no-repeat;
        width: 100%;
        height: auto;
        background-position: 50% 50%;
        position: absolute;
        -webkit-background-size: cover;
        overflow-y: hidden;
    }

/*html { 
    background: url(/Content/Login/Loginbackground.png) no-repeat center center fixed #000; 
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}*/
/*.container {
    background-image: url("/Content/Login/Loginbackground.png");
}*/

/*table.dataTable thead .sorting {
    background: #eee;
}

.table-column-header {
    background: #eee;
}

table.dataTable thead .sorting_asc, table.dataTable thead .sorting_desc {
    background: #eee;
}

.text-muted {
    color: #333;
}

.table-hover > tbody > tr:hover > td, .table-hover > tbody > tr:hover > th {
    background-color: lightgoldenrodyellow;
}*/


/*.btn-primary.active, .btn-primary:active, .btn-primary:focus, .btn-primary:hover, .open > .dropdown-toggle.btn-primary {
    color: #fff;
    background-color: #275b89;
    border-color: #1f496d;
    border-radius: 100px;
}
#sparks li:first-child {
    border-left:none;
    padding-left:0;
    border-radius:100px;
}
.form-group button:first-child,.btn btn-sm btn-primary {
    margin-left:15px;
    border-radius:100px;
}*/
.jarviswidget > header h2 {
    font-size: 12px;
}

.txt-color-blueDark {
    color: black;
}

label.input div.lookupBtn {
    background-color: silver;
    color: #fff;
    width: 26px;
    height: 26px;
    margin: 0;
    right: 0px;
    top: 0;
    padding-top: 4px;
    padding-right: 2px;
    margin-top: 1px;
    margin-right: 1px;
    border-left: 3px solid #848181;
    line-height: 13px;
    font-size: 18px;
    font-weight: bold;
    position: absolute;
    z-index: 999;
}

    label.input div.lookupBtn:hover {
        cursor: pointer;
    }

    label.input div.lookupBtn:active {
        background-color: black!important;
    }

label.input div.lookuptxtBtn {
    background-color: #3276b1;
    color: #fff;
    width: 26px;
    height: 26px;
    margin: 0;
    right: 0px;
    top: 0;
    padding-top: 4px;
    padding-right: 2px;
    margin-top: 1px;
    margin-right: 67%;
    border-left: 3px solid #3276b1;
    line-height: 13px;
    font-size: 18px;
    font-weight: bold;
    position: absolute;
    z-index: 999;
}

    label.input div.lookuptxtBtn:hover {
        cursor: pointer;
    }

    label.input div.lookuptxtBtn:active {
        background-color: black!important;
    }

label.input div.lookuptxtBoxBtn {
    background-color: #3276b1;
    color: #fff;
    width: 26px;
    height: 26px;
    margin: 0;
    right: 0px;
    top: 0;
    padding-top: 4px;
    padding-right: 2px;
    margin-top: 1px;
    margin-right: 80%;
    border-left: 3px solid #3276b1;
    line-height: 13px;
    font-size: 18px;
    font-weight: bold;
    position: absolute;
    z-index: 999;
}

    label.input div.lookuptxtBoxBtn:hover {
        cursor: pointer;
    }

    label.input div.lookuptxtBoxBtn:active {
        background-color: black!important;
    }

/* Date Picker Next and Prev button visibility - added by Anand */
.ui-datepicker .ui-datepicker-next span, .ui-datepicker .ui-datepicker-prev span {
    width: 30px;
    left: 20%;
}
.ui-datepicker select.ui-datepicker-month, .ui-datepicker select.ui-datepicker-year {
    width: 45%;
}



    .widget-body-top-border {
        border-top: 1px solid #CCC !important;
    }

    
    .input > textarea {
        padding: 5px 10px 5px 10px;
    }
    
    .col-centered {
        float: none;
        margin: 0 auto;
    }
    
    .mandatory {
        color: red;
    }

    .optional {
        color: blue;
    }

    .display {
        color: black;
    }

    .noScroll {
        overflow: hidden !important;
    }

    .small-checkbox {
        margin-top: 5px;
        width: 15px; 
        height: 15px;
    }

    .mid-checkbox {
        margin-top: 5px;
        width: 20px; 
        height: 20px;
    }

.smart-form .input input, .smart-form .select select, .smart-form .textarea textarea {
    color: #000000;
}


.ui-widget-content {
    color: #000000;
}

.ui-dialog .ui-dialog-title {
        color: #000000;
    }

.smart-form .checkbox, .smart-form .radio {
        color: #000000;
    }

.wijmo-wijmenu .wijmo-wijmenu-item input:focus {
        color: #000000;
    }

.smart-form .select i:after {
            border-top: 4px solid #000000;
        }

        .smart-form .select i:before {
            border-bottom: 4px solid #000000;
        }